你目前正处于脱机状态,正在等待 Internet 重新连接

MS12-038:Windows XP、Windows Server 2003、Windows Vista、Windows Server 2008、Windows 7 和 Windows Server 2008 R2 上的 .NET Framework 4 安全更新说明:2012 年 6 月 12 日

简介
Microsoft 已发布安全公告 MS12-038。您可以通过访问下面的一个 Microsoft 网站,查看完整的安全公告:

如何获取此安全更新的相关帮助和支持

帮助安装更新:Microsoft Update 支持

IT 专业人员安全解决方案:TechNet 安全疑难解答和支持

帮助保护您运行 Windows 的计算机不受病毒和恶意软件危害:病毒解决方案和安全中心

基于国家/地区的本地支持:国际支持

下载信息

可以从 Microsoft 下载中心下载此更新:

先决条件

若要安装此更新,您必须在计算机上安装 Windows Installer 3.1 或更高版本。若要获取最新版本的 Windows Installer,请访问以下 Microsoft 网站:

此更新的命令行开关

有关此更新支持的各种命令行开关的信息,请访问以下 Microsoft Developer Network (MSDN) 网站:

重新启动信息

仅当正在更新的文件被锁定或正在使用时,才需要在应用此安全更新之后重新启动系统。

更新替换信息

此更新不替换以前发布的任何更新。

更新删除信息

若要删除此更新,请使用“控制面板”中的“添加或删除程序”项或者“程序和功能”项。

文件信息

此更新的英语(美国)版本将安装具有下表所列属性的文件。这些文件的日期和时间按协调世界时 (UTC) 列出。这些文件在您的本地计算机中的显示日期和时间是您的本地时间加上当前夏令时 (DST) 偏差。此外,如果对这些文件执行某些操作,日期和时间可能会更改。
对于所有受支持的基于 x86 的系统版本
GDR 服务分支
File nameFile versionFile sizeDateTime
System.Windows.Forms.dll4.0.30319.2785,029,67215-Mar-201220:14
LDR 服务分支
File nameFile versionFile sizeDateTime
Setup.exe10.0.30319.56079,11215-Mar-201215:26
SetupEngine.dll10.0.30319.560810,76815-Mar-201215:26
SetupUi.dll10.0.30319.560296,71215-Mar-201215:26
System.Windows.Forms.dll4.0.30319.5605,029,67215-Mar-201215:28
对于所有受支持的基于 x64 的系统版本
GDR 服务分支
File nameFile versionFile sizeDateTime
System.Windows.Forms.dll4.0.30319.2785,029,67215-Mar-201220:14
LDR 服务分支
File nameFile versionFile sizeDateTime
Setup.exe10.0.30319.56079,11215-Mar-201215:26
SetupEngine.dll10.0.30319.560810,76815-Mar-201215:26
SetupUi.dll10.0.30319.560296,71215-Mar-201215:26
System.Windows.Forms.dll4.0.30319.5605,029,67215-Mar-201215:28
对于所有受支持的基于 IA-64 的系统版本
GDR 服务分支
File nameFile versionFile sizeDateTime
System.Windows.Forms.dll4.0.30319.2785,029,67215-Mar-201220:14
LDR 服务分支
File nameFile versionFile sizeDateTime
Setup.exe10.0.30319.56079,11215-Mar-201215:26
SetupEngine.dll10.0.30319.560810,76815-Mar-201215:26
SetupUi.dll10.0.30319.560296,71215-Mar-201215:26
System.Windows.Forms.dll4.0.30319.5605,029,67215-Mar-201215:28

适用于

此文章适用于以下内容:
  • Microsoft .NET Framework 4,与以下版本一起使用时:
    • Windows 7
    • Windows 7 Service Pack 1
    • Windows Server 2008 R2
    • Windows Server 2008 R2 Service Pack 1
    • Windows Vista Service Pack 2
    • Windows Server 2008 Service Pack 2
    • Windows XP Service Pack 3
    • Windows Server 2003 Service Pack 2
属性

文章 ID:2686827 - 上次审阅时间:06/18/2012 13:17:00 - 修订版本: 2.0

  • kbsecvulnerability kbsecurity kbsecbulletin kbfix kbexpertiseinter kbbug atdownload KB2686827
反馈